from .ppl import PPLInferencer

def get_inferencer(inferencer_type, model_name, tokenizer_name, device, batch_size=16):
    if inferencer_type == 'ppl':
        inferencer = PPLInferencer(model_name=model_name, tokenizer_name = tokenizer_name, device = device, batch_size=batch_size)
    else:
        print("Error Inferencer Type")

    return inferencer